.. role:: hidden
    :class: hidden-section

pytorch_quantization.tensor_quant
===================================

.. automodule:: pytorch_quantization.tensor_quant
.. currentmodule:: pytorch_quantization.tensor_quant


:hidden:`QuantDescriptor`
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: QuantDescriptor
    :members:

:hidden:`ScaledQuantDescriptor`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: ScaledQuantDescriptor
    :members:

:hidden:`TensorQuantFunction`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: TensorQuantFunction
    :members:

``tensor_quant`` is alias of ``TensorQuantFunction.apply``

``fake_tensor_quant`` is alias of ``FakeTensorQuantFunction.apply``
